## ros-humble-moveit-setup-srdf-plugins 2.5.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.22)
project(moveit_setup_srdf_plugins)

# Common cmake code applied to all moveit packages
find_package(moveit_common REQUIRED)
moveit_package()

find_package(ament_cmake REQUIRED)
find_package(ament_cmake_ros REQUIRED)
find_package(moveit_setup_framework REQUIRED)
find_package(pluginlib REQUIRED)

qt5_wrap_cpp(MOC_FILES
    include/moveit_setup_srdf_plugins/collision_linear_model.hpp
    include/moveit_setup_srdf_plugins/collision_matrix_model.hpp
    include/moveit_setup_srdf_plugins/default_collisions_widget.hpp
    include/moveit_setup_srdf_plugins/end_effectors_widget.hpp
    include/moveit_setup_srdf_plugins/group_edit_widget.hpp
    include/moveit_setup_srdf_plugins/kinematic_chain_widget.hpp
    include/moveit_setup_srdf_plugins/passive_joints_widget.hpp
    include/moveit_setup_srdf_plugins/planning_groups_widget.hpp
    include/moveit_setup_srdf_plugins/robot_poses_widget.hpp
    include/moveit_setup_srdf_plugins/rotated_header_view.hpp
    include/moveit_setup_srdf_plugins/virtual_joints_widget.hpp
)

add_library(${PROJECT_NAME}
    src/collision_linear_model.cpp
    src/collision_matrix_model.cpp
    src/compute_default_collisions.cpp
    src/default_collisions.cpp
    src/default_collisions_widget.cpp
    src/end_effectors.cpp
    src/end_effectors_widget.cpp
    src/group_edit_widget.cpp
    src/group_meta_config.cpp
    src/kinematic_chain_widget.cpp
    src/passive_joints.cpp
    src/passive_joints_widget.cpp
    src/planning_groups.cpp
    src/planning_groups_widget.cpp
    src/robot_poses.cpp
    src/robot_poses_widget.cpp
    src/rotated_header_view.cpp
    src/virtual_joints.cpp
    src/virtual_joints_widget.cpp
    ${MOC_FILES}
)
target_include_directories(${PROJECT_NAME} PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>
)
ament_target_dependencies(${PROJECT_NAME}
  moveit_setup_framework
  pluginlib
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_gtest REQUIRED)
  ament_add_gtest(test_srdf test/test_srdf.cpp)
  target_link_libraries(test_srdf ${PROJECT_NAME})
endif()

install(TARGETS ${PROJECT_NAME}
        EXPORT export_${PROJECT_NAME}
        ARCHIVE DESTINATION lib
        LIBRARY DESTINATION lib
        RUNTIME DESTINATION bin
)
install(FILES moveit_setup_framework_plugins.xml
        DESTINATION share/${PROJECT_NAME}
)
install(DIRECTORY include/
        DESTINATION include
)
ament_export_include_directories(include)

ament_export_libraries(${PROJECT_NAME})
ament_export_targets(export_${PROJECT_NAME})
pluginlib_export_plugin_description_file(moveit_setup_framework moveit_setup_framework_plugins.xml)

ament_package()

=== debian/changelog ===
ros-humble-moveit-setup-srdf-plugins (2.5.5-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 09 Sep 2023 16:00:00 -0000

ros-humble-moveit-setup-srdf-plugins (2.5.4-2bookworm) bookworm; urgency=high

  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>) (#1555 <https://github.com/ros-planning/moveit2/issues/1555>)
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Contributors: mergify[bot]

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 03 Nov 2022 16:00:00 -0000

ros-humble-moveit-setup-srdf-plugins (2.5.3-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 27 Jul 2022 16:00:00 -0000

ros-humble-moveit-setup-srdf-plugins (2.5.2-2bookworm) bookworm; urgency=high

  * [MSA] Testing Framework for MoveItSetupAssistant (#1383 <https://github.com/ros-planning/moveit2/issues/1383>)
  * Merge pull request #1254 <https://github.com/ros-planning/moveit2/issues/1254> from ros-planning/feature/msa
    MoveIt Setup Assistant - Merge the Feature branch
  * Merge remote-tracking branch 'origin/main' into feature/msa
  * [MSA] Fix SRDF Initialization Bug / Copy Paste Error (#1381 <https://github.com/ros-planning/moveit2/issues/1381>)
  * [MSA] Fix compile issues
  * Merge remote-tracking branch 'upstream/main' into feature/msa
  * [MSA] Clean up extra parentheses (#1366 <https://github.com/ros-planning/moveit2/issues/1366>)
  * [MSA] clang-format fixes
  * [MSA] Workaround to launch files without controllers (#1275 <https://github.com/ros-planning/moveit2/issues/1275>)
  * [MSA] PR Feedback
  * [MSA] Merge main into feature/msa (Part III) (#1249 <https://github.com/ros-planning/moveit2/issues/1249>)
  * [MSA] Merge main into feature/msa (Part II) (#1240 <https://github.com/ros-planning/moveit2/issues/1240>)
  * [MSA] Merge Upstream into feature/msa (#1119 <https://github.com/ros-planning/moveit2/issues/1119>)
  * [MSA] SRDF Setup (#1057 <https://github.com/ros-planning/moveit2/issues/1057>)
  * [MSA] Initial Refactor
  * [MSA] Move Files Around (split into multiple packages, change to hpp extension)
  * Contributors: David V. Lu!!, Vatan Aksoy Tezer

 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 17 Jul 2022 16:00:00 -0000

ros-humble-moveit-setup-srdf-plugins (2.5.1-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 30 May 2022 16:00:00 -0000

ros-humble-moveit-setup-srdf-plugins (2.5.0-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 25 May 2022 16:00:00 -0000

ros-humble-moveit-setup-srdf-plugins (2.3.2-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 28 Dec 2021 16:00:00 -0000

ros-humble-moveit-setup-srdf-plugins (2.3.1-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 22 Dec 2021 16:00:00 -0000

ros-humble-moveit-setup-srdf-plugins (2.3.0-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 07 Oct 2021 16:00:00 -0000

ros-humble-moveit-setup-srdf-plugins (2.2.1-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 11 Jul 2021 16:00:00 -0000

ros-humble-moveit-setup-srdf-plugins (2.2.0-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 29 Jun 2021 16:00:00 -0000

ros-humble-moveit-setup-srdf-plugins (2.1.4-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 30 May 2021 16:00:00 -0000

ros-humble-moveit-setup-srdf-plugins (2.1.3-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 21 May 2021 16:00:00 -0000

ros-humble-moveit-setup-srdf-plugins (2.1.2-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 21 Apr 2021 16:00:00 -0000

ros-humble-moveit-setup-srdf-plugins (2.1.1-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 12 Apr 2021 16:00:00 -0000

ros-humble-moveit-setup-srdf-plugins (2.1.0-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 23 Nov 2020 16:00:00 -0000

ros-humble-moveit-setup-srdf-plugins (2.0.0-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 12 May 2020 16:00:00 -0000

=== debian/control ===
Source: ros-humble-moveit-setup-srdf-plugins
Section: misc
Priority: optional
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-clang-format <!nocheck>, ros-humble-ament-cmake, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-cmake-lint-cmake <!nocheck>, ros-humble-ament-cmake-xmllint <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-moveit-resources-fanuc-description <!nocheck>, ros-humble-moveit-setup-framework, ros-humble-pluginlib, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-moveit-setup-srdf-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-moveit-setup-framework, ros-humble-pluginlib, ros-humble-ros-workspace
Description: SRDF-based plugins for MoveIt Setup Assistant

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-moveit-setup-srdf-plugins//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-moveit-setup-srdf-plugins//opt/ros/humble/opt/moveit_setup_srdf_plugins/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
